# RemoteResource (sshj 0.4.0 API)
Date: 2011-06-06

## net.schmizz.sshj.sftp
Class RemoteResource

    java.lang.Object
      net.schmizz.sshj.sftp.RemoteResource

All Implemented Interfaces:
  Closeable

Direct Known Subclasses:
  RemoteDirectory, RemoteFile

    public abstract class RemoteResource

extends Object
implements Closeable

Field Summary
`protected String` `handle`
`protected org.slf4j.Logger` `log` Logger
`protected String` `path`
`protected Requester` `requester`

Constructor Summary
`protected` `RemoteResource(Requester requester, String path, String handle)`

Method Summary
`void` `close()`
`String` `getPath()`
`protected Request` `newRequest(PacketType type)`
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### log

    protected final org.slf4j.Logger log

  Logger

### requester

    protected final Requester requester

### path

    protected final String path

### handle

    protected final String handle

Constructor Detail

### RemoteResource

    protected RemoteResource(Requester requester,
                             String path,
                             String handle)

Method Detail

### getPath

    public String getPath()

### newRequest

    protected Request newRequest(PacketType type)

### close

    public void close()
               throws IOException

  Specified by:
    `close` in interface `Closeable`
  Throws:
    `IOException`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Copyright © 2009-2011. All Rights Reserved.